* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul,
li,body,html {
  padding: 0;
  margin: 0;
}


body {
      /* position: relative; */
  /* width: 100%; */
  /* height: 100vh; */
  /* background-color: rgb(216, 215, 209); */
  /* background-color: aqua; */
font-family: 'Poppins', sans-serif;
      /* background-color: yellow; */
}

.mainContainer {
  display: flex;
   /* flex-direction: column; */
    justify-content: center;
    align-items: center;
    padding:  5rem 1rem  3rem;
  width: 100%;
  height: 150vh;
  position: relative;
    /* position: relative; */
  /* background-color: blue; */
  background-color: whitesmoke;
}

.reload {
  position: absolute;
  top: 3%;
  display: none;
  right: 5%;
  /* z-index: 100; */
  color: black;
  border: none;
  outline: none;
  cursor: pointer;
  font-size: 1.5rem;
}

.reload i{
    font-weight: 900;
  pointer-events: none;
}
.headerWrapper {
    background-color: whitesmoke;
  display: flex;
  width: 100%;
align-items: center;
justify-content: space-between;
  height: 70px;
  z-index: 99;
  position: fixed;
  top: 0;
  /* background-color: aqua; */
  /* background-color: blue; */
  padding: 1rem 1rem 1rem 4rem;
  /* display: flex; */
  /* flex-direction: column; */
  box-shadow: 0px 0px 5px black;
}

.headerWrapper input {
  border: none;
  z-index: 2;
  font-family: inherit;
  background-color: rgb(219, 215, 215);
  padding: 0.2rem 15px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  outline: none;
  font-size:1rem;
}
.headerWrapper button {
  cursor: pointer;
  border: none;
  padding: 0.2rem;
  color: grey;
  background-color: transparent;
  margin-left: 10px;
  outline: none;
}
.brand-container{
font-family: 'Berkshire Swash', cursive;  letter-spacing: 2px;
  font-size: 1.8rem;
  color: rgb(122, 8, 46);
  font-weight: bold;
  text-shadow:  0 1px rgb(122, 8, 46);
}

/*** media query for header */


@media screen and (max-width: 720px){

  .headerWrapper {
      background-color: whitesmoke;
      /* background-color: orangered; */
      display: flex;
      width: 100%;
      align-items: center;
      justify-content: center;
      height: 100px;
      z-index: 99;
      position: fixed;
      top: 0;
      padding:0;
      margin: 0;
      position: relative;
      flex-direction: column;
      box-shadow: 0px 0px 5px black;
    }

        .reload {
          position: absolute;
          top: -5%;
          right: 5%;
          z-index: 100;
          color: black;
          border: none;
          outline: none;
          cursor: pointer;
          font-size: 1rem;
        }

        .brand-container {
font-family: 'Berkshire Swash', cursive;          
letter-spacing: 2px;
          font-size: 1.4rem !important;
          color: rgb(122, 8, 46);
          font-weight: bold;
          text-shadow: 0 1px rgb(122, 8, 46);
        }

    .input-container{
      padding: 0 3rem;
      /* background-color: aqua; */
      /* position: relative; */
      width: 100%;
      max-width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

    }

    .btn{
      /* width: 10px;
      background-color: blue; */
    }
  
    .headerWrapper input {
      border: none;
margin: 0; 
      font-family: inherit;
      width: 250px;
      background-color: rgb(219, 215, 215);
      padding: 0.2rem 15px;
      border-top-left-radius: 10px;
      border-bottom-left-radius: 10px;
      outline: none;
      font-size: .8rem;
    }
  
    .headerWrapper button {
      cursor: pointer;
      border: none;
      padding: 0.2rem;

      color: grey;
      background-color: transparent;
      margin: 0;
      outline: none;
    }

}


.meal-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  /* padding-top: 3rem; */
  /* background-color: orangered; */
  height:130vh;
   box-shadow: 0 2px 5px rgba(0, 0, 0, 0.534), 1px  1px 10px  rgba(0, 0, 0, 0.514);
  border-radius: 10px;
  font-family: inherit;
  /* overflow: hidden; */
  position: relative;
}

.meal-container h1 {
  margin-bottom: 170px;
  text-shadow: 2px 2px 2px black, 2px 2px 2px rgb(247, 14, 14);
  color: rgb(185, 19, 75);
  font-size: 50px
}

/*** media query for meal-container */

@media screen and (max-width: 720px) {
  .meal-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    /* padding-top: 3rem; */
    /* background-color: orangered; */
    height: 130vh;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.534), 1px 1px 10px rgba(0, 0, 0, 0.514);
    border-radius: 10px;
    font-family: inherit;
    /* overflow: hidden; */
    position: relative;
  }

  .meal-container h1 {
    margin-bottom: 170px;
    text-align: center;
    text-shadow: 2px 2px 2px black, 2px 2px 2px rgb(247, 14, 14);
    color: rgb(185, 19, 75);
    font-size: 35px !important;
  }
}

.dishWrapper {
  overflow-x: scroll;
  display: flex;
  margin-top: -100px;
  /* align-items: center; */
  /* justify-content: center; */
  width: 100%;
  height: 200px;
  overflow-y:hidden ;
  text-align: center;
}

.dishWrapper > .textAlign {
  display: block;
  /* margin-top: 10px; */
  min-width: 200px;
  height: 200px;
  /* background-color: blue; */
   text-align: center;
   /* border: 1px solid; */
   padding: 10px 5px;
    position: relative;
    cursor: pointer;
}
.textAlign > .image-wrapper {
  width: 120px;
  height: 120px;
  overflow: hidden;
  border-radius: 50%;
  object-fit: cover;
  margin: 0 auto;
  
}
.textAlign > .clearMeal {
  background-color: transparent;
  border: none;
  font-size: 1rem;
  position: absolute;
  top: 0;
  right: 15px;
  cursor: pointer;
  opacity: 0;
  
}

.textAlign:hover .clearMeal{
  opacity: 1;

}

.textAlign > .image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.dishWrapper > .textAlign p{
  display: block;
  width: 100%;
  padding: 0 2px;
  margin-top: 5px;
  font-size: 0.6rem;
  font-weight: bold /* text-shadow: 2px 2px 5px black/*, 2px 2px 2px black*/;
  color: rgb(170, 5, 60);
  
 
}

/*** media query for dishWrapper */

@media screen and (max-width: 720px) {

  .dishWrapper {
    overflow-x: scroll;
    display: flex;
    margin-top: -150px;
    /* align-items: center; */
    /* justify-content: center; */
    width: 100%;
    height: 200px;
    overflow-y: hidden;
    text-align: center;
  }

  .dishWrapper>.textAlign {
    display: block;
    /* margin-top: 10px; */
    min-width: 200px;
    height: 200px;
    /* background-color: blue; */
    text-align: center;
    /* border: 1px solid; */
    padding: 10px 5px;
    position: relative;
    cursor: pointer;
  }

  .textAlign>.image-wrapper {
    width: 120px;
    height: 120px;
    overflow: hidden;
    border-radius: 50%;
    object-fit: cover;
    margin: 0 auto;

  }

  .textAlign>.clearMeal {
    background-color: transparent;
    border: none;
    font-size: 1rem;
    position: absolute;
    top: 0;
    right: 15px;
    cursor: pointer;
    opacity: 0;

  }

  .textAlign:hover .clearMeal {
    opacity: 1;

  }

  .textAlign>.image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }


  .dishWrapper>.textAlign p {
    display: block;
    width: 100%;
    padding: 0 2px;
    margin-top: 5px;
    font-size: 0.6rem;
    font-weight: bold
      /* text-shadow: 2px 2px 5px black/*, 2px 2px 2px black*/
    ;
    color: rgb(170, 5, 60);


  }

}

.meals {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  /* margin-top: 15px; */
  height:70vh;
  background-color: whitesmoke;
  /* padding: 5rem 0; */
  
  overflow: hidden;
  /* background-color: rgb(111, 0, 255); */
}
.meal {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: fit-content;
  /* background-color:rgb(170, 5, 60); */
   /* overflow-x:hidden;*/
  position: relative;
}


/* .meal>*{
  display: block;
} */

.dishWrapper::-webkit-scrollbar-thumb {
  background-color: rgb(170, 5, 60);
  border-radius: 20px;
  border: 3px inset rgba(0, 0, 0, 0.3);
}
.dishWrapper::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  -webkit-border-radius: 10px;
  border-radius: 10px;
  margin-inline: 0.5rem;
}

.dishWrapper::-webkit-scrollbar {
  width: 0.2rem;
  height: 0.5rem;
}

.meal-header {
  width: 68.8%;
  height: 250px;
  overflow: hidden;
    margin-top: 1rem;
      /*padding: 9rem 0; */
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
  /* background-color: brown; */
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.meal-header img {
  width: 100%;
  height: 100%;
  /* border-radius: 20px; */
  object-fit: cover;
}
.meal-header .random-recipe {
  position: absolute;
  background-color: rgba(255, 255, 255, 0.726);
  top: 10px;
  left: 10px;
  box-shadow: 1px 2px 5px;
    color: rgb(122, 8, 46);  
    font-weight: 900;
  padding: 0.3rem 1rem;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
}

.meal-body {
  width: 68.8%;
  /* padding: 2.5rem 0 1rem; */
    display: flex;
    height: 100px;
  align-items: center;
  overflow-y: scroll;
    overflow-x: hidden;
  /* flex-direction: column; */
  justify-content: space-between;
   background-color: rgb(175, 174, 174);
}

.meal-body p {
  /* padding-right: 1rem;
  margin-right: 2.5rem;
  margin-left: -15px; */
  /* margin-left: 2rem; */
    color: rgb(122, 8, 46);
  word-break: normal;
  font-size: 1rem;
  font-weight: 900;
  width: 80%;
  padding: 1.5rem  .3rem 1rem;
  /* text-align: center; */
  /* background-color: yellow; */
}
.meal-body .fav-btn {
  background-color: transparent;
  color: rgb(241, 235, 235);
  border: none;
  width: fit-content;
  /* background-color: blueviolet; */
  text-align: end;
  font-size: 1.5rem;
    padding: 1.5rem 0 1rem;

    padding-right: 10px;
    /* padding-top: 1rem; */
  cursor: pointer;
  outline: none;
}

p.extra-font-size{
  font-size: .9rem;
  word-break: normal;
    font-weight:bold;
    width: 80%;
    padding: 1.5rem .3rem 1rem;
}
.meal-body .fav-btn.active {
  color: rgb(170, 5, 60);
}


/*** media query for meals + innerElements */

@media screen and (max-width: 720px){
  .meals {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 100%;
      /* margin-top: 15px; */
      height: 70vh;
      background-color: whitesmoke;
      /* padding: 5rem 0; */
  
      overflow: hidden;
      /* background-color: rgb(111, 0, 255); */
    }

.meal {
display: flex;
flex-direction: column;
align-items: center;
justify-content: space-between;
width: 100%;
height: fit-content;
/* background-color:rgb(170, 5, 60); */
/* overflow-x:hidden;*/
position: relative;
padding: 25px;
}

.meal-header {
width: 100%;
height: 250px;
overflow: hidden;
margin-top: 1rem;
/*padding: 9rem 0; */
border-top-left-radius: 10px;
border-top-right-radius: 10px;
/* background-color: brown; */
position: relative;
display: flex;
align-items: center;
justify-content: center;
cursor: pointer;
}

.meal-header img {
width: 100%;
height: 100%;
/* border-radius: 20px; */
object-fit: cover;
}

.meal-header .random-recipe {
position: absolute;
background-color: rgba(255, 255, 255, 0.726);
top: 10px;
left: 10px;
box-shadow: 1px 2px 5px;
color: rgb(122, 8, 46);
font-weight: 900;
padding: 0.3rem 1rem;
border-top-left-radius: 3px;
border-bottom-left-radius: 3px;
}

.meal-body {
width: 100%;                  /* padding: 2.5rem 0 1rem; */
display: flex;
height: 100px;
align-items: center;
overflow-y: scroll;
overflow-x: hidden;
/* flex-direction: column; */
justify-content: space-between;
background-color: rgb(175, 174, 174);
}

.meal-body p {
/* padding-right: 1rem;
margin-right: 2.5rem;
margin-left: -15px; */
/* margin-left: 2rem; */
color: rgb(122, 8, 46);
word-break: normal;
font-size: 1rem;
font-weight: 900;
width: 80%;
padding: 1.5rem .3rem 1rem;
/* text-align: center; */
/* background-color: yellow; */
}

.meal-body .fav-btn {
background-color: transparent;
color: rgb(241, 235, 235);
border: none;
width: fit-content;
/* background-color: blueviolet; */
text-align: end;
font-size: 1.5rem;
padding: 1.5rem 0 1rem;

padding-right: 10px;
/* padding-top: 1rem; */
cursor: pointer;
outline: none;
}

p.extra-font-size {
font-size: .9rem;
word-break: normal;
font-weight: bold;
width: 80%;
padding: 1.5rem .3rem 1rem;
}

.meal-body .fav-btn.active {
color: rgb(170, 5, 60);
}
}


.search-output {
  /* grid-template-columns: repeat(3,1fr); */
  
  
  width: 100%;
  height: max-content;
   background-color: #d4d0d0; 
  display: flex;
   column-gap: 5px; 
   row-gap: 20px; 
  flex-wrap: wrap;
  padding: 1rem;
  align-items: center;
  justify-content: flex-start;
}

.search-output.overflow-attr {
  overflow-y: auto;
  overflow-x: hidden;
}

.search-output-result {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 400px;
  height: 400px;
  margin-bottom: 10px;
  /* background-color: aqua; */
  position: relative;
  padding: 0;
  overflow: hidden;
  /* padding-top: 4rem; */



}

small {
  /* padding: 10rem; */
  width: 100%;
  display: flex;
  /* margin-top: -50px; */
  align-items: flex-start;
  justify-content: center;
  /* position: absolute; */
  /* transform: translateY(-50%); */
  /* flex-direction: column; */
  /* text-align: center; */
  bottom: 45%;
  z-index: 4;
  font-size: 2rem;

}

/*** media query for search-output + innerElement */

@media screen and (max-width: 720px){
  .search-output {
      width: 100%;
  height: 100vh;      
  /* background-color: #13cc2c; */
      display: flex;
      /* flex-direction: column; */
      /* column-gap: ; */
      /* row-gap: 20px; */
      flex-wrap: wrap;
      padding: 1rem;
      align-items: center;
      justify-content: center;
    }
  
    .search-output.overflow-attr {
      overflow-y: auto;
      /* width: 100%; */
      padding: 0 !important;
      overflow-x: auto;
      position: relative;
    }
  
    .search-output-result {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 200px;
      height: 250px;
      margin: 7px;
      /* background-color: aqua; */
      position: relative;
      padding: 0;
      overflow: hidden;
      /* padding-top: 4rem; */
  
  
  
    }
  
    small {
      padding: 10rem; 
      width: 100%;
      font-size: 2rem;
      display: flex;
      bottom: 45%;
text-align: center;
       margin-top: -50px; 
        align-items: center;
        justify-content: center;
  
    }

.popup-container {
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

}

.popup-container.hidden {
  opacity: 0;
  pointer-events: none;

}

.meal-info {
  display: block;
  width: 400px;
  height: 600px;
  max-width: 100%;
  /* background-color: orangered; */
  background-color: beige;
  /* padding: 2rem; */
  padding-block:5rem !important;
  /* padding-top: 3rem; */
   /* padding-top: 0 !important;  */
  border-radius: 10px;
  position: relative;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 60px;

}
}

.popup-container{
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 999;

}

.popup-container.hidden{
  opacity: 0;
  pointer-events: none;

}

.meal-info{
  display:block;
  width: 400px;
  height: 600px;
  max-width: 100%;
  /* background-color: orangered; */
  background-color: beige;
  padding: 1rem;
    padding-top: 2rem;
  border-radius: 10px;
position: relative;
overflow-y: auto;
overflow-x: hidden;
margin-top: 60px;

}

.meal-info::-webkit-scrollbar-thumb {
  background-color: rgb(170, 5, 60);
  border-radius: 20px;
  border: 3px inset rgba(0, 0, 0, 0.3);
}

.meal-info::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  -webkit-border-radius: 10px;
  border-radius: 10px;
  margin-block: 0.5rem;
}

.meal-info::-webkit-scrollbar {
  width: 0.2rem;
  height: 0.5rem;
}

.footer{
  width: 100%;
  display: flex;
  height: 20vh;
  position: relative;
  flex-direction: column;
background-color: whitesmoke; 
margin-bottom: 0;
/* overflow: hidden; */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.534), 1px 1px 10px rgba(0, 0, 0, 0.514);
}
footer {
  width: 100%;
  height:fit-content;
  /* background-color: yellow; */
  display: flex;
  align-items: flex-end;
  justify-content: center;
  margin-bottom: 0;
}

.dev-info{
display: flex;
align-items: center;
justify-content: space-between;
/* flex-direction: column; */
  width: 100%;
  column-gap: 20px;
  font-size: .9rem;
  font-family: inherit;
  position: relative;
  /* background-color: brown; */
  padding: .2rem 1rem;
 color: rgb(122, 8, 46);
font-weight: bold;
}

.dev-info a{
  text-decoration: none;
   color: rgb(122, 8, 46);
  font-weight: bold;
  
}


.icons{
  width: 100%;
  text-align: center;
  /* background-color: blue; */
}

.name-container{
  width: 40%;
  /* background-color: aquamarine; */
}

.contact-container{
  width: 40%;
  text-align:end ;
  /* background-color: blueviolet; */
}

/* .separator {
  display: flex;
  align-items: center;
  justify-content: center;
  /* background-color: blue; 
  height: 100%;
width:fit-content; 
} */

.icons .fab{
  font-size: 1.2rem;
  cursor: pointer;
  padding: .2rem .3rem;
  border-radius: 10px;
  margin-left: 10px;
  margin-bottom: 4px;
  text-align: center;
  border: 1px solid rgb(122, 8, 46) ;
  transition: transform .5s ease-in-out, color .5s ease-in-out;

}

.icons > span{
  padding-bottom: 10px;
}

.icons .fab:hover {
  background: rgb(122, 8, 46);
  color: #fff;
  transform: translateY(-7px);
}


.footerIconAndText{
  padding: 0 .2rem;
    font-size: .9rem ;
  display: flex;
  font-weight: bold;
  align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
      margin-bottom: 10px;
      color: rgb(122, 8, 46);
    /* background-color: rgb(171, 187, 23); */
}
.fa-phone {
  margin-left: 5px;

}
/*** media query for footer */

@media screen and (max-width: 720px){
.dev-info {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    font-size: .7rem;
    font-family: inherit;
    /* background-color: brown; */
    padding: .2rem;
    color: rgb(122, 8, 46);
    font-weight: bold;
  }

  .dev-info a {
    text-decoration: none;
    color: rgb(122, 8, 46);
    font-weight: bold;

  }

  
  .icons {
    width: 100%;
    text-align: center;
    /* background-color: blue; */
  }

  .icons .fab {
    font-size: .9rem;
    cursor: pointer;
    padding: .2rem .3rem;
    border-radius: 10px;
    margin-left: 10px;
    margin-bottom: 4px;
    text-align: center;
    border: 1px solid rgb(122, 8, 46);
    transition: transform .5s ease-in-out, color .5s ease-in-out;

  }

    .name-container {
      width: 60%;
      font-size: .7rem;
      /* background-color: aquamarine; */
    }
  
    .contact-container {
      width: 40%;
      font-size: .7rem;
      text-align: center;
      /* background-color: blueviolet; */
    }
  
    .separator {
          font-size: .7rem;
      display: flex;
      align-items: center;
      justify-content: center;
      /* background-color: blue; */
      height: 100%;
      /* padding: .3rem;  */
      width: fit-content;
      /* position: absolute; */
      /* top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    bottom: 0; */
    }

    .fa-phone{
      margin-left: 5px;
    }

  .icons>span {
    padding-bottom: 10px;
  }

  .icons .fab:hover {
    background: rgb(122, 8, 46);
    color: #fff;
    transform: translateY(-7px);
  }
footer{
  width: 100%;
  height: fit-content;
  position: relative;
  /* background-color: yellow; */
  display: flex;
  align-items: flex-end;
  justify-content: center;
}
    .footer {
      width: 100%;
      display: flex;
      height: fit-content;
      position: relative;
      flex-direction: column;
      background-color: whitesmoke;
      /* background-color: blue; */
      margin-bottom: 0;
      /* padding: 0 !important; */
      /* overflow: hidden; */
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.534), 1px 1px 10px rgba(0, 0, 0, 0.514);
    }

  .footerIconAndText {
    padding: 1rem;
    /* padding: 0; */
    font-size: .7rem;
    display: flex;
    height: fit-content;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    width: 100%;
    /* margin-bottom: 10px; */
    text-align: center;
    /* margin-bottom: 5px; */
    color: rgb(122, 8, 46);
    /* background-color: rgb(171, 187, 23); */
  }
}
.popup-info{
  display: flex;
  flex-direction:column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height:fit-content;
  /* background-color: aqua; */
  position: relative;
}



.popup-info h1{
  text-align: center;
  margin: 10px;
}
.popup-info img{
  width: 100%;
  border-radius: 10px;
  padding-bottom: 10px;
  object-fit: contain;
  
}
.popup-info p{
  font-size: 16px;
  padding: 1rem 0;
}

ul{
  display: flex;
  width: 100%;
  flex-direction: column;
  align-self: flex-start;
  justify-self: flex-end;
  padding-top: 10px;
    padding-left: 20px;
    padding-bottom: 10px;
    /* background-color: blueviolet; */
}

 h3{
   display: flex;
   align-self: flex-start;
   margin-top: -10px;
 }

li{
    font-size: 16px;
  list-style-type:square ;
}

 .close-popup{
position: absolute;
font-size: 1.2rem;
background-color: transparent;
top: -1%;
right:3%;
z-index: 22;
border: none;
cursor: pointer;
outline: none;
/* background-color:rgb(20, 116, 201); */

}

.search-output::-webkit-scrollbar-thumb {
  background-color: rgb(170, 5, 60);
  border-radius: 20px;
  border: 3px inset rgba(0, 0, 0, 0.3);
}

.search-output::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

.search-output::-webkit-scrollbar {
  width: 0.5rem;
  height: 0.5em;
}


.meal-body::-webkit-scrollbar-thumb {
  background-color: rgb(170, 5, 60);
  border-radius: 20px;
  border: 3px inset rgba(0, 0, 0, 0.3);
}

.meal-body::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

.meal-body::-webkit-scrollbar {
  width: 0.2rem;
  height: 0.5rem;
}